## Sochi_Medals.R
## source('~/Dropbox/Sochi_Medals.R', echo=T)
## From http://www.r-bloggers.com/live-google-spreadsheet-for-keeping-track-of-sochi-medals/
## Slightly modified by Mike

# Install package if necessary
# install.packages('Rcurl')

library(RCurl)
 
sochi.medals.URL = "https://docs.google.com/spreadsheets/d/1Al7I7nS0BP50IfThs55OKv5UPI9u-ctZgZRyDQma_G8/export?format=csv&gid=0"
medals <- read.csv(textConnection(getURL(sochi.medals.URL)), 
                   stringsAsFactors = FALSE)
str(medals)

head(medals, 18)
 
Medals <- subset(medals, medals$Total > 0)

r <- nrow(Medals)

Medals <- head(medals, r+1)

## A function to clear the console in R
clc <- function(x=50) cat(rep("\n",x))
clc()

print(Medals)

clc(4)

